E-MailRelay

Public Member Functions | List of all members
G::Pam::Error Class Reference

An exception class for G::Pam. More...

`#include <gpam.h>`

Inheritance diagram for G::Pam::Error:
[legend]
Collaboration diagram for G::Pam::Error:
[legend]

## Public Member Functions
| Error (const std::string &op, int pam_error)
| Error (const std::string &op, int pam_error, const char *)
Public Member Functions inherited from G::Exception
| Exception (std::initializer_list< std::string_view >)
| Constructor. More...
| Exception (std::string_view what)
| Constructor. More...
| Exception (std::string_view what, std::string_view more)
| Constructor. More...
| Exception (std::string_view what, std::string_view more1, std::string_view more2)
| Constructor. More...
| Exception (std::string_view what, std::string_view more1, std::string_view more2, std::string_view more3)
| Constructor. More...
| Exception (std::string_view what, std::string_view more1, std::string_view more2, std::string_view more3, std::string_view more4)
| Constructor. More...

## Detailed Description

An exception class for G::Pam.

Definition at line 69 of file gpam.h.

## Constructor & Destructor Documentation

## ◆ Error() [1/2]

G::Pam::Error::Error | ( | const std::string & | op,
|  | int | pam_error
| ) |  |
| inline

Definition at line 164 of file gpam.h.

## ◆ Error() [2/2]

G::Pam::Error::Error | ( | const std::string & | op,
|  | int | pam_error,
|  | const char * | more
| ) |  |
| inline

Definition at line 170 of file gpam.h.

The documentation for this class was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/glib/gpam.h